#
# spec file for package deb (Version 1.8.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp sgmltool sp sp-devel tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         deb
Copyright:    GPL
Group:        Utilities/System
Provides:     dpkg, dpkg-dev, debhelper
Autoreqprov:  on
Version:      1.8.3.1
Release:      124
Summary:      Debian packages dpkg, dpkg-dev and debhelper
Source:       dpkg_%{version}.tar.bz2
Source1:      debhelper_3.0.8.tar.bz2
Patch:        dpkg-%{version}.dif
Patch1:       dpkg-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This package contains debian packages dpkg, dpkg-dev and debhelper. It makes
possible to create deb packages (e.g. by alien), to examine what a deb package
contains,...

Authors:
--------
    Klee Dienes <klee@mit.edu>
    Joey Hess <joeyh@master.debian.org>

SuSE series: ap

%prep
%setup -n dpkg-%{version} -b 1
%patch
%patch1

%build
%{suse_update_config -f}
autoconf
./configure \
   --enable-shared \
   --prefix=/usr \
   --datadir=/usr/share \
   --sysconfdir=/etc \
   --sharedstatedir=/var/lib \
   --localstatedir=/var/lib \
   --with-admindir=/var/lib/dpkg \
   --mandir=%{_mandir} \
   --infodir=%{_infodir}
make
cd ../debhelper
make -f debian/rules build-stamp

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install mandir=%{_mandir}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/deb/dpkg
cp ABOUT-NLS COPYING ChangeLog THANKS TODO doc/*.html $RPM_BUILD_ROOT%{_docdir}/deb/dpkg
rm $RPM_BUILD_ROOT%{_mandir}/man1/md5sum.1
rm $RPM_BUILD_ROOT%{_mandir}/man8/{start-stop-daemon.8,install-info.8}
rm $RPM_BUILD_ROOT/usr/sbin/{install-info,start-stop-daemon}
rm $RPM_BUILD_ROOT/usr/bin/md5sum
cd $RPM_BUILD_DIR/debhelper*
mv *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m 755 $RPM_BUILD_ROOT/usr/share/debhelper/
mv autoscripts $RPM_BUILD_ROOT/usr/share/debhelper/
eval `perl -V:installsitelib`
install -d -m 755 $RPM_BUILD_ROOT/$installsitelib/Debian/Debhelper
mv Debian/Debhelper/{Dh_Getopt.pm,Dh_Lib.pm} $RPM_BUILD_ROOT/$installsitelib/Debian/Debhelper
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/deb/debhelper
mv examples doc/* debian/{changelog,copyright} $RPM_BUILD_ROOT%{_docdir}/deb/debhelper
echo -e "package Dh_Version;\n\$version='2.0.86';" > \
  $RPM_BUILD_ROOT/$installsitelib/Debian/Debhelper/Dh_Version.pm
mv dh_* $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/deb
%doc %{_mandir}/*/*
/usr/bin/*
/usr/lib/dpkg
/usr/share/debhelper
/usr/sbin/*
/usr/share/locale/*/LC_MESSAGES/*.mo
/etc/alternatives
/var/lib/dpkg
/usr/lib/perl5/site_perl/*/Debian

%changelog -n deb
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Jun 08 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Tue Apr 24 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Wed Apr 18 2001 - cihlar@suse.cz
- fixed to compile
* Mon Mar 05 2001 - cihlar@suse.cz
- dpkg updated to version 1.8.3.1
- debhelper updated to version 3.0.8
* Tue Dec 05 2000 - schwab@suse.de
- Fix broken declaration.
* Tue Oct 31 2000 - cihlar@suse.cz
- update to version 1.6.14
- bzipped sources
* Tue May 23 2000 - cihlar@suse.cz
- added files in /etc and /var to %%files
* Mon May 22 2000 - cihlar@suse.cz
- removed install-info and start-stop-daemon
* Mon May 15 2000 - schwab@suse.de
- Fixed for ia64.
* Wed May 03 2000 - cihlar@suse.cz
- package created - version 1.4.0.35 (debhelper 1.1.24)
